/*-----------------------------------------------------------------------*
  Project:  Nintendo Augmented Reality Library.
  File:     narDistortion.h

  Copyright (C)2011-2012 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensed developers
  and are protected by national and international copyright laws. They
  may not be disclosed to third parties or copied or duplicated in any
  form, in whole or in part, without the prior written consent of
  Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
*-----------------------------------------------------------------------*/

//
/* Please see man pages for details 
 
 
 */

#ifndef NAR_DISTORTION_H__
#define NAR_DISTORTION_H__

#include "narPort.h"
#include "narVec2.h"

namespace mw { namespace nar
{
    /* Please see man pages for details 
     */
    class Distortion_cl
    {
    public:
        /* Please see man pages for details 
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         */
        Distortion_cl( f32 x, f32 y, f32 factor )
             : m_Center( x, y ), m_Factor( factor )
        {}

        /* Please see man pages for details 
         */
        void GetIdealFromObserv( Vec2F_st & r_Ideal, const Vec2F_st & cr_Observ ) const;
        /* Please see man pages for details 
         */
        void GetObservFromIdeal( Vec2F_st & r_Observ, const Vec2F_st & cr_Ideal ) const;
    private:
        Vec2F_st    m_Center;   //
        f32         m_Factor;   //
    };
}
}
#endif
//
