/*-----------------------------------------------------------------------*
  Project:  Nintendo Augmented Reality Library.
  File:     narConfig.h

  Copyright (C)2011-2012 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensed developers
  and are protected by national and international copyright laws. They
  may not be disclosed to third parties or copied or duplicated in any
  form, in whole or in part, without the prior written consent of
  Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
*-----------------------------------------------------------------------*/

//
/* Please see man pages for details 
 
 
 
 */
#ifndef NAR_CONFIG_H__
#define NAR_CONFIG_H__

#ifdef  NAR_CTR__
///     Scissoring.
///     No vertical flipping.
# ifndef  NAR_CTR_NATIVE_DEBUG_IMAGE
#  define  NAR_CTR_NATIVE_DEBUG_IMAGE   (1)
# endif
#endif

#define NAR_PIXEL_FMT_RGB555        (0) //
#define NAR_PIXEL_FMT_YUV422_BATCH  (1) //

#ifndef NAR_PIXEL_FMT
/// Format for recognition images
#define NAR_PIXEL_FMT   NAR_PIXEL_FMT_YUV422_BATCH
#endif

/// Whether to enable debugging.Faster when it's off.
/// Automatically off when BUILD=release time
#ifndef NAR_DEBUG__
# ifdef NN_BUILD_VERBOSE
#  define NAR_DEBUG__         (1)
# else
#  define NAR_DEBUG__         (0)
# endif
#endif

#endif
//
