/*-----------------------------------------------------------------------*
  Project:  Nintendo Augmented Reality Library.
  File:     sampledemos\stereo\texturedRectangle.h

  Copyright (C)2011-2012 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensed developers
  and are protected by national and international copyright laws. They
  may not be disclosed to third parties or copied or duplicated in any
  form, in whole or in part, without the prior written consent of
  Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
*-----------------------------------------------------------------------*/

/* Please see man pages for details 
 
 
 */

#ifndef TEXTURED_RECTANGLE_H__
#define TEXTURED_RECTANGLE_H__

#include <nn.h>

/* Please see man pages for details 
 
 */
class TexturedRectangle_cl
{
public:
    static void draw(
        const int eye,             // Image for the left eye or the right eye? (0: right; 1: left)
        const void * p_Image,      // Image to apply as texture
        const int width,           // Image width
        const int height           // Image height
        );
};

#endif //#ifndef TEXTURED_RECTANGLE_H__
